Get transfer configuration
GET
/accounts/{accountID}/transfer-config
curl -X GET "https://api.moov.io/accounts/{accountID}/transfer-config" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"mc, _ := moov.NewClient()
var accountID string
mc.GetTransferConfig(ctx, accountID)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transferConfig.get({
accountID: "<id>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->transferConfig->get(
accountID: '<id>'
);
if ($response->transferConfig !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTransferConfigResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetTransferConfigResponse res = sdk.transferConfig().get()
.accountID("<id>")
.call();
if (res.transferConfig().isPresent()) {
System.out.println(res.transferConfig().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.transfer_config.get(account_id="<id>")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.transfer_config.get(account_id: '<id>')
unless res.transfer_config.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.TransferConfig.GetAsync(accountID: "<id>");
// handle responseThe request completed successfully.
{
"tipPresets": {
"fixedAmountOptions": [
{
"currency": "USD",
"valueDecimal": "1.00"
},
{
"currency": "USD",
"valueDecimal": "2.00"
},
{
"currency": "USD",
"valueDecimal": "5.00"
}
]
}
}{
"tipPresets": {
"calculationBasis": "pre-tax",
"percentageOptions": [
10,
15,
20
]
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Path parameters
accountID
string
required
Response
tipPresets
object
Tip presets when calculating tips for a transfer.
Show child attributes
calculationBasis
string<enum>
Defines which amount should be used when calculating the final payment total. This calculation applies for percentage tip values.
pre-tax: Tip amounts are calculated using the subtotal amount before taxespost-tax: Tip amounts are calculated using the subtotal amount + taxes
Possible values:
pre-tax,
post-tax
fixedAmountOptions
array<object>
Defines the set of suggested tip preset values presented to customers. Fixed amounts must be positive and unique. A maximum of 3 values are allowed.
Show child attributes
currency
string
Pattern
A 3-letter ISO 4217 currency code.
valueDecimal
string
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
percentageOptions
array<integer>
Defines the set of suggested tip preset values presented to customers. Percentages must be between 0 and 100 (exclusive) and must be unique. A maximum of 3 values are allowed.